Advanced GWT Components is an extension of the standard Google Web Toolkit library. It allows making rich web interfaces extremely quickly even if you're not skilled in DHTML and JavaScript programming. Currently the library supports such popular browsers like Internet Explorer, Firefox, Safary, Opera and Chrome.

The library is absolutely free and you can download and use it right now.

Download the latest stable version here: 2.0.9.

Or add the following Maven dependency:



Don't forget to look at our Live Demo!


Click one of the following links to know more about a widget:

You don't know what of the components, approahes and solutions is the best choice for your application, do you? Click the link to try our decision making scheme!

Features List

  • improved browser independent table body scrolling
  • editable grids
  • hierarchical and master-detail representations of complicated data models
  • multiple and single row selections
  • client side paging and sorting
  • server side (lazy) data loading
  • client and server side content rendering
  • full keyboard control
  • flexible tab panels
  • customizable borders API
  • localization and internationalization
  • <thead> HTML tag support in tables
  • <tfoot> HTML tag support in tables
  • splitting to view and model (MVP design)
  • data model events
  • lazy rendering for large drop down lists
  • customizable event management and rendering
  • GWT 1.6.4, 1.7.1, 2.0.x, 2.1.x, 2.2.x, 2.3.x, 2.4.x, 2.5.x or higher compatibility
  • no dependencies to other third-party libraries
  • theme runtime switching for non-styled widgets
  • latest releases are available in the Maven Central Repository new

GWT Compatibility Matrix

Advanced GWT Components were reworked in 2.0.0 release. Deprecated API usage was removed and Java generics has been applied everywhere it was possible. The price for these improvements was different GWT versions incompatibility. To check what library version is most suitable for your project see the table below.

GWT 1.4.x GWT 1.5.x GWT 1.6.x GWT 1.7.x GWT 2.0.x GWT 2.1.x GWT 2.2.x GWT 2.3.x GWT 2.4.x GWT 2.5.x
1.x Yes Yes Yes Yes Yes Yes Yes* Yes* Yes* Yes*
2.x No No Yes Yes Yes Yes Yes Yes Yes Yes

* - should work but hasn't been tested

Note that older versions of the library (1.x) will be patched only in case of critical bug fixes. All the new features are expected to be done in 2.x releases.